package com.cf.imes.module.system.enums.pay;


import cn.hutool.core.util.ObjectUtil;
import com.cf.imes.framework.excel.core.convert.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 交易类型枚举类
 */

@Getter
@AllArgsConstructor
public enum IncomeExpenseTypeEnum implements BaseEnum {

    /**
     * 收入
     */
    INCOME(0, "收入"),
    /**
     * 支出
     */
    EXPENSES(1, "支出");



    /**
     * 类型
     */
    private final Integer code;

    /**
     * 名称
     */
    private final String desc;



    public static IncomeExpenseTypeEnum fromType(Integer type) {
        if (type == null) {
            return null;
        }
        for (IncomeExpenseTypeEnum value : values()) {
            if (ObjectUtil.equal(value.code, type)) {
                return value;
            }
        }
        return null;
    }

}
